#include <stdlib.h>
#include <stdio.h>

static char *f(void) {
	char *c = malloc(10);
	char *d = malloc(20);
	c[0] = 0;
	d[0] = 0;
	return c;
}

static void g(void) {
	char *e = f();
	printf("%p\n", e);
}

static void h(void) {
	g();
}

int main(void) {
	h();
	return 0;
}
